Terraform Upgrade to v0.14 - Invalid Legacy Provider Address Error

Terraform v0.14

Terraform v0.14 is a major release and so it includes some small changes in behavior that you may need to consider when upgrading.

I wanted to upgrade my terraform version from v0.13 to v0.14 because:

  • I’d like to try latest and greatest versions for my dev environment

--

--

--

Senior Cloud Engineer

Love podcasts or audiobooks? Learn on the go with our new app.

Recommended from Medium

Java Single Dependency Dockerized HTTP Endpoint

How to Write Terrible Code, Using Recursive Python Lambdas

How to pass the Snowflake SnowPro Core Certification?

How to Deploy a Flask Application on Amazon EC2

Frontend developer Vaiva — knowledge always pays off

SIMPLE INSTRUCTIONS /GUIDE FOR HASHLAND NEWCOMERS

What’s New in atoti v0.6.0: Performance Upgrades

How to Render a K8s Pod Unavailable With Readiness Probes

Get the Medium app

A button that says 'Download on the App Store', and if clicked it will lead you to the iOS App store
A button that says 'Get it on, Google Play', and if clicked it will lead you to the Google Play store
Tony

Tony

Senior Cloud Engineer

More from Medium

Learn Docker: Advanced topics about containers (3/6)

Apply Multiple Yaml Files at Once on Kubernetes K8s or OpenShift OCP — Ansible module k8s & lookup…

K8s — Pod Self-Healing

Infrastructure as Code